regex File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_REGEX

## Typedefs

using | std::pmr::cmatch
template<typename _BidirectionalIterator>
using | std::pmr::match_results
using | std::pmr::smatch
using | std::pmr::wcmatch
using | std::pmr::wsmatch

## Detailed Description

This is a Standard C++ Library header.

Definition in file regex.

## Macro Definition Documentation

## _GLIBCXX_REGEX

#define _GLIBCXX_REGEX

Definition at line 30 of file regex.

## Typedef Documentation

## cmatch

using std::pmr::cmatch

Definition at line 81 of file regex.

## match_results

template<typename _BidirectionalIterator>

using std::pmr::match_results

Definition at line 79 of file regex.

## smatch

using std::pmr::smatch

Definition at line 84 of file regex.

## wcmatch

using std::pmr::wcmatch

Definition at line 86 of file regex.

## wsmatch

using std::pmr::wsmatch

Definition at line 87 of file regex.